MeasurementHistData (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.MeasurementHistData class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class MeasurementHistData

    java.lang.Object
      org.hyperic.hq.measurement.server.session.MeasurementHistData

All Implemented Interfaces:
  java.io.Serializable

    public class MeasurementHistData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `MeasurementHistData()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`MeasurementDataId` | `getId()`
`java.math.BigDecimal` | `getMaxValue()`
`java.math.BigDecimal` | `getMinValue()`
`java.math.BigDecimal` | `getValue()`
`int` | `hashCode()`
`protected void` | `setId(MeasurementDataId id)`
`protected void` | `setMaxValue(java.math.BigDecimal maxValue)`
`protected void` | `setMinValue(java.math.BigDecimal minValue)`
`protected void` | `setValue(java.math.BigDecimal value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementHistData

    protected MeasurementHistData()

Method Detail

### getId

    public MeasurementDataId getId()

### setId

    protected void setId(MeasurementDataId id)

### getValue

    public java.math.BigDecimal getValue()

### setValue

    protected void setValue(java.math.BigDecimal value)

### getMinValue

    public java.math.BigDecimal getMinValue()

### setMinValue

    protected void setMinValue(java.math.BigDecimal minValue)

### getMaxValue

    public java.math.BigDecimal getMaxValue()

### setMaxValue

    protected void setMaxValue(java.math.BigDecimal maxValue)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.